﻿using HtmlAgilityPack;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HtmlProcessar
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Artigos:");
            var doc = new HtmlWeb().Load("http://www.andrealveslima.com.br/blog");
            var artigos = doc.DocumentNode.SelectNodes("//article/div/h2");
            foreach (var artigo in artigos)
            {
                Console.WriteLine(artigo.InnerText);
            }

            Console.WriteLine();
            Console.WriteLine("Temas:");
            var temas = doc.DocumentNode.Descendants().Where(d => d.Attributes.Contains("class") && d.Attributes["class"].Value.Contains("div_only_answer"));
            foreach (var tema in temas)
            {
                Console.WriteLine(tema.InnerText);
            }

            Console.ReadLine();
        }
    }
}
